---
title: Дополнить список значений
slug: примеры-сниппеты-бсп-и-типовые-работа-с-коллекциями-списки-значений/дополнить-список-значений
---
```bsl
// Дополняет список значений СписокПриемник значениями списка СписокИсточник.
// При этом если в списке-приемнике уже есть элемент с добавляемым значением, то у него заменяется представление
// на новое из списка-источника.
//
// Параметры:
//  СписокПриемник - СписокЗначений
//  СписокИсточник - СписокЗначений
//  ПропускатьЗначенияДругихТипов - Булево - если Истина, то не добавлять в список-приемник элементы списка-источника,
//                                  у которых тип значений не совпадает с типами значений в списке-приемнике.
//                                  По умолчанию пропускать.
//  ДобавлятьНовые - Булево, Неопределено - если Истина, то добавлять в список-приемник элементы из списка-источника
//                                          с теми значениями, которые отсутствуют в списке-приемнике.
//
// Возвращаемое значение:
//  Структура:
//    * Всего     - Число - общее количество элементов в списке-источнике.
//    * Добавлено - Число - если ДобавлятьНовые = Истина, то количество добавленных элементов в список-приемник.
//    * Обновлено - Число - количество совпавших по значениям элементов, представления которых были заменены
//                          в списке-приемнике на новые из списка-источника.
//    * Пропущено - Число - количество пропущенных элементов в списке-приемнике.
//
Результат = ОбщегоНазначенияКлиентСервер.ДополнитьСписок(СписокПриемник, СписокИсточник, ПропускатьЗначенияДругихТипов, ДобавлятьНовые);
```